import pandas as pd
import itertools

def create_df_from_combinations(input_dict):
    variable_names = []
    product_input_tuple = ()
    for key, value in input_dict.items():
        variable_names.append(key)
        product_input_tuple += (value,) # this is one way to add things to a tuple, apparently

    return pd.DataFrame(list(itertools.product(*product_input_tuple)), columns=variable_names)

def remove_columns_with_suffix(df, suffix):
    columns_to_keep = []
    for c in df.columns:
        if suffix not in c:
            columns_to_keep.append(c)
    return df[columns_to_keep]

def lookup_df_by_value(df, col_to_search_over, value_to_find, col_to_return):
    sub_df = df[df[col_to_search_over]==value_to_find]

    if len(sub_df) != 1:
        raise ValueError("Number of rows that match this value = {}".format(len(sub_df)))

    return sub_df[col_to_return].values[0]
