from emodpy_malaria.interventions.treatment_seeking import add_treatment_seeking


def add_hs_by_age_and_severity(campaign,
                               u5_hs_rate,
                               o5_hs_rate=None,
                               u5_severe_hs_rate=0.9,
                               o5_severe_hs_rate=0.8,
                               node_ids=None,
                               start_day=1,
                               duration=-1,
                               drug=['Artemether', 'Lumefantrine']):
    if o5_hs_rate is None:
        o5_hs_rate = u5_hs_rate * 0.5

    def create_target_list(u5_hs_rate, o5_hs_rate):
        return [{'trigger': 'NewClinicalCase',
                 'coverage': u5_hs_rate,
                 'agemin': 0,
                 'agemax': 5,
                 'seek': 1,
                 'rate': 0.3},
                {'trigger': 'NewClinicalCase',
                 'coverage': o5_hs_rate,
                 'agemin': 5,
                 'agemax': 100,
                 'seek': 1,
                 'rate': 0.3},
                {'trigger': 'NewSevereCase',
                 'coverage': u5_severe_hs_rate,
                 'agemin': 0,
                 'agemax': 5,
                 'seek': 1,
                 'rate': 0.5},
                {'trigger': 'NewSevereCase',
                 'coverage': o5_severe_hs_rate,
                 'agemin': 5,
                 'agemax': 100,
                 'seek': 1,
                 'rate': 0.5}]

    add_treatment_seeking(campaign=campaign,
                          node_ids=node_ids,
                          start_day=start_day,
                          duration=duration,
                          targets=create_target_list(u5_hs_rate, o5_hs_rate),
                          drug=drug,
                          broadcast_event_name="Received_Treatment")
