from emodpy_malaria.interventions.outbreak import add_outbreak_individual, add_outbreak_malaria_genetics


def import_infections_through_outbreak(campaign,
                                       days_between_outbreaks,
                                       start_day=1,
                                       num_infections=1,
                                       import_through_travelers_only=False):

    if import_through_travelers_only:
        property_restrictions = [{"TravelerStatus": "IsTraveler"}]
    else:
        property_restrictions = []

    # if outbreak_fraction > 0:
    add_outbreak_individual(campaign=campaign,
                            target_num_individuals=num_infections,
                            repetitions=-1,  # repeats forever
                            timesteps_between_repetitions=days_between_outbreaks,
                            broadcast_event="InfectionDropped",
                            ind_property_restrictions=property_restrictions,
                            start_day=start_day)

    return {'number_imported_per_outbreak': num_infections,
            'days_between_importations': days_between_outbreaks}
